
/**
 * The Wumpus hazard. It eats you when activated. You win when you shoot it.
 * 
 * @author Malcolm Ryan
 * @version 3 Oct 2012
 */
public class Wumpus implements Hazard
{
    /**
     * Return the warning message
     */
    public String getWarning() {
        return "I smell a wumpus!";
    }
    
    /**
     * When the wumpus is activated, the player is killed.
     */
    public boolean activate(Player player) {
        System.out.println("You are eaten by a wumpus!");        
        return true;  // GAME OVER
    }
    
    /**
     * When the wumpus is shot, the player wins the game
     */
    public boolean shoot() {
        System.out.println("You have killed the wumpus!");
        return true;  // GAME OVER
    }


}
