
/**
 * The Bats hazard. It moves the player randomly when activated.
 * 
 * @author Malcolm Ryan
 * @version 3 Oct 2012
 */
public class Bats implements Hazard
{
    /**
     * The warning message.
     */
    public String getWarning() {
        return "You hear squeaking.";
    }
    
    /**
     * When bats are activated they move the player to a random room.
     */
    public boolean activate(Player player) {
        System.out.println("A flock of bats pick you up and drop you elsewhere!");
        return player.moveRandom();        
    }
    
    /**
     * Nothing happens when the bats are shot
     */
    public boolean shoot() {
        return false;
    }
}
