
/**
 * A Pit hazard. It kills you when activated.
 * 
 * @author Malcolm Ryan
 * @version 3 Oct 2012
 */
public class Pit implements Hazard
{

    /**
     * Get the warning message
     */
    public String getWarning() {
        return "I feel a draft.";
    }
    
    /**
     * When the pit is activated, the player is killed.
     */
    public boolean activate(Player player) {
        System.out.println("You fall into a bottomless put!");
        return true; // GAME OVER
    }
    
    /**
     * Nothing happens when the pit is shot.
     */
    public boolean shoot() {
        return false;
    }

}
